VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::LibraryTypes::FindSpec Class Reference

Specifies the properties that can be used as a filter to find libraries. More...

List of all members.

## Public Member Functions
| FindSpec ()
| Creates a default new instance.
string | GetName ()
| Name of the library to search.
void | SetName (string name)
| Name of the library to search.
vmware.content.LibraryModel.LibraryType | Get_Type ()
| Library type to search.
void | SetType (vmware.content.LibraryModel.LibraryType type)
| Library type to search.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

Specifies the properties that can be used as a filter to find libraries.

When multiple fields are specified, all properties of the library must match the specification.

## Constructor & Destructor Documentation

vmware::content::LibraryTypes::FindSpec::FindSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::LibraryTypes::FindSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::LibraryTypes::FindSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::LibraryTypes::FindSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::content::LibraryTypes::FindSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::LibraryTypes::FindSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::LibraryTypes::FindSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.content.LibraryModel.LibraryType vmware::content::LibraryTypes::FindSpec::Get_Type | ( |  | ) | `[inline]`

Library type to search.

See LibraryModel.type .

override int vmware::content::LibraryTypes::FindSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::LibraryTypes::FindSpec::GetName | ( |  | ) | `[inline]`

Name of the library to search.

The name is case-insensitive. See LibraryModel.name .

void vmware::content::LibraryTypes::FindSpec::SetName | ( | string | name | ) | `[inline]`

Name of the library to search.

The name is case-insensitive. See LibraryModel.name .

void vmware::content::LibraryTypes::FindSpec::SetType | ( | vmware.content.LibraryModel.LibraryType | type | ) | `[inline]`

Library type to search.

See LibraryModel.type .

override string vmware::content::LibraryTypes::FindSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryTypes.cs